Package org.kapott.hbci.protocol

# Class SEG

java.lang.Object
org.kapott.hbci.protocol.SyntaxElement
org.kapott.hbci.protocol.SEG

public final class SEG extends SyntaxElement

## Field Summary

### Fields inherited from class org.kapott.hbci.protocol.SyntaxElement

`ALLOW_OVERWRITE, DONT_ALLOW_OVERWRITE, DONT_TRY_TO_CREATE, TRY_TO_CREATE`

## Constructor Summary

Constructors
Constructor
Description
`SEG(String type, String name, String path, char predelim, int idx, StringBuffer res, int fullResLen, Document syntax, Hashtable<String,String> predefs, Hashtable<String,String> valids)`
`SEG(String type, String name, String path, int idx, Document syntax)`

## Method Summary

Modifier and Type
Method
Description
`int`
`checkSegSeq(int value)`
`protected MultipleSyntaxElements`
`createNewChildContainer(Node ref, Document syntax)`
erzeugt einen neuen Child-Container, welcher durch den xml-knoten 'ref' identifiziert wird; wird beim erzeugen von elementen benutzt
`void`
`destroy()`
`int`
`enumerateSegs(int idx, boolean allowOverwrite)`
loop through all child-elements; the segments found there will be sequentially enumerated starting with num startValue; if startValue is zero, the segments will not be enumerated, but all given the number 0
`String`
`getCode(MsgGen gen)`
`void`
`getElementPaths(Properties p, int[] segref, int[] degref, int[] deref)`
`protected String`
`getElementTypeName()`
gibt einen string mit den typnamen (msg,seg,deg,de,...) des elementes zurueck
`protected char`
`getInDelim()`
liefert das delimiter-zeichen zurueck, dass innerhalb dieses syntaxelementes benutzt wird, um die einzelnen child-elemente voneinander zu trennen
`void`
`init(String type, String name, String path, char predelim, int idx, StringBuffer res, int fullResLen, Document syntax, Hashtable<String,String> predefs, Hashtable<String,String> valids)`
`void`
`init(String type, String name, String path, int idx, Document syntax)`
`protected MultipleSyntaxElements`
`parseNewChildContainer(Node dataref, char predelim0, char predelim1, StringBuffer res, int fullResLen, Document syntax, Hashtable<String,String> predefs, Hashtable<String,String> valids)`
beim parsen: haengt an die 'childElements' ein neues Element an.
`void`
`setSeq(int idx, boolean allowOverwrite)`
`String`
`toString(int zero)`
diese toString() methode wird benutzt, um den wert eines de-syntaxelementes in human-readable-form zurueckzugeben.

### Methods inherited from class org.kapott.hbci.protocol.SyntaxElement

`addChildContainer, createAndAppendNewChildContainer, extractValues, getChildContainers, getElement, getName, getParent, getPath, getPosInMsg, getPreDelim, getSyntaxDef, getType, getValueOfDE, getValueOfDE, isValid, parseAndAppendNewChildContainer, propagateValue, setName, setParent, setPath, setType, setValid, storeValidValueInDE, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SEG

public SEG(String type, String name, String path, int idx, Document syntax)

### SEG

public SEG(String type, String name, String path, char predelim, int idx, StringBuffer res, int fullResLen, Document syntax, Hashtable<String,String> predefs, Hashtable<String,String> valids)

## Method Details

### getElementTypeName

protected String getElementTypeName()
Description copied from class: `SyntaxElement`
gibt einen string mit den typnamen (msg,seg,deg,de,...) des elementes zurueck

Specified by:
  `getElementTypeName` in class `SyntaxElement`

### createNewChildContainer

protected MultipleSyntaxElements createNewChildContainer(Node ref, Document syntax)
Description copied from class: `SyntaxElement`
erzeugt einen neuen Child-Container, welcher durch den xml-knoten 'ref' identifiziert wird; wird beim erzeugen von elementen benutzt

Specified by:
  `createNewChildContainer` in class `SyntaxElement`

### init

public void init(String type, String name, String path, int idx, Document syntax)

Overrides:
  `init` in class `SyntaxElement`

### toString

public String toString(int zero)
Description copied from class: `SyntaxElement`
diese toString() methode wird benutzt, um den wert eines de-syntaxelementes in human-readable-form zurueckzugeben. innerhalb eines de-elementes wird der wert in der hbci-form gespeichert

Overrides:
  `toString` in class `SyntaxElement`

### setSeq

public void setSeq(int idx, boolean allowOverwrite)

### enumerateSegs

public int enumerateSegs(int idx, boolean allowOverwrite)
Description copied from class: `SyntaxElement`
loop through all child-elements; the segments found there will be sequentially enumerated starting with num startValue; if startValue is zero, the segments will not be enumerated, but all given the number 0

Overrides:
  `enumerateSegs` in class `SyntaxElement`
Parameters:
  `idx` - value to be used for the first segment found
Returns:
  next sequence number usable for enumeration

### getCode

public String getCode(MsgGen gen)

### parseNewChildContainer

protected MultipleSyntaxElements parseNewChildContainer(Node dataref, char predelim0, char predelim1, StringBuffer res, int fullResLen, Document syntax, Hashtable<String,String> predefs, Hashtable<String,String> valids)
Description copied from class: `SyntaxElement`
beim parsen: haengt an die 'childElements' ein neues Element an. der xml-knoten 'ref' gibt an, um welches element es sich dabei handelt; aus 'res' (der zu parsende String) wird der wert fuer das element ermittelt (falls es sich um ein de handelt); in 'predefined' ist der wert des elementes zu finden, der laut syntaxdefinition ('syntax') an dieser stelle auftauchen mueste (optional; z.b. fuer segmentcodes); 'predelim*' geben die delimiter an, die direkt vor dem zu erzeugenden syntaxelement auftauchen muessten

Specified by:
  `parseNewChildContainer` in class `SyntaxElement`

### getInDelim

protected char getInDelim()
Description copied from class: `SyntaxElement`
liefert das delimiter-zeichen zurueck, dass innerhalb dieses syntaxelementes benutzt wird, um die einzelnen child-elemente voneinander zu trennen

Specified by:
  `getInDelim` in class `SyntaxElement`

### init

public void init(String type, String name, String path, char predelim, int idx, StringBuffer res, int fullResLen, Document syntax, Hashtable<String,String> predefs, Hashtable<String,String> valids)

Overrides:
  `init` in class `SyntaxElement`

### checkSegSeq

public int checkSegSeq(int value)

Overrides:
  `checkSegSeq` in class `SyntaxElement`

### getElementPaths

public void getElementPaths(Properties p, int[] segref, int[] degref, int[] deref)

Overrides:
  `getElementPaths` in class `SyntaxElement`

### destroy

public void destroy()

Overrides:
  `destroy` in class `SyntaxElement`